/*************************************************************
GLSL Demo - Gouraud vertex shader
(c) 2005 Antoine Bouthors, EVASION
Modified 2014, Francois Faure, UJF
*************************************************************/

void main()
{
        vec4 pos = gl_ModelViewMatrix * gl_Vertex; // vertex coords in camera space

	vec3 lightpos = gl_LightSource[0].position.xyz;
        vec3 lightDir =  normalize( lightpos - pos.xyz );

        vec3 normal = normalize( gl_NormalMatrix * gl_Normal );

        vec3 ReflectedRay = reflect( -lightDir, normal ); // reflect = i - (2n.i) n  uses the opposite of the usual vector i

        vec3 view = vec3(0.,0.,1.); // viewing direction is always z in camera space

        vec3 color = vec3( 0,0,0 );
        color += 0.1; // ambiant
        color += gl_LightSource[0].diffuse.xyz * clamp( dot( normal, lightDir ), 0., 1. ); // specular
        color += vec3( pow( clamp( dot( ReflectedRay, view ), 0., 1. ), 10. ) );           // diffuse

        gl_FrontColor.xyz = color; // vertex color
        gl_Position = gl_ProjectionMatrix * gl_ModelViewMatrix * gl_Vertex; // vertex position
}
