/*************************************************************
GLSL Demo - Phong fragment shader
(c) 2005 Antoine Bouthors, EVASION
Modified 2014, Francois Faure, UJF
*************************************************************/

varying vec3 normal;       // input interpolated value
varying vec3 lightDir;     // input interpolated value

void main()
{
	vec3 Nnormal = normalize( normal );
	vec3 NlightDir = normalize( lightDir );
        vec3 ReflectedRay = reflect( NlightDir, Nnormal );
	
        vec3 color = vec3(0,0,0);
        color += 0.1; // ambiant
        // todo: add diffuse
        color += vec3( clamp( pow( max(0.,dot( ReflectedRay, vec3( 0., 0., -1. )) ), 10. ), 0., 1. ) ); // specular
        gl_FragColor.xyz =  color; // final fragment color
}
